# ===========================================================================
#
# ===========================================================================
#
# SYNOPSIS
#
#   AX_PROG_SDL_CONFIG([potentialv2, potentialv12])
#
# DESCRIPTION
#
#   Looks first for an sdl2-config program then sdl-config if both passed in.
#   SDL_CONFIG isset to the full path of the result. Afterwhich the program
#   should run via $SDL_CONFIG.
#
# LICENSE
#
#   Copyright (c) 2021 William F. Pokorny
#
#   Copying and distribution of this file, with or without modification, are
#   permitted in any medium without royalty provided the copyright notice
#   and this notice are preserved. This file is offered as-is, without any
#   warranty.

AC_DEFUN([AX_PROG_SDL_CONFIG], [dnl
    AC_PROG_FGREP
    AC_CACHE_CHECK([for sdl2-config or sdl-config], [ac_cv_path_SDL_CONFIG],
    AC_PATH_PROGS_FEATURE_CHECK([SDL_CONFIG], [$1],
            [AS_IF([$ac_path_SDL_CONFIG 2>&1 | $FGREP Usage >/dev/null],
                   [ac_cv_path_SDL_CONFIG=$ac_path_SDL_CONFIG ac_path_SDL_CONFIG_found=:])],
            [AC_MSG_RESULT([neither were found])])
    AC_SUBST([SDL_CONFIG], [$ac_cv_path_SDL_CONFIG]),
    [$ac_cv_path_SDL_CONFIG])
])dnl AX_CHECK_SDL_CONFIG

